Build #7 for tkhs-0.2.4

[all reports]

Package tkhs-0.2.4
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-28 15:00:10.529641 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies HUnit-1.5.0.0, test-framework-0.8.1.1, test-framework-hunit-0.3.0.2
Flags test

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring ansi-terminal-0.6.2.3...
Configuring call-stack-0.1.0...
Building ansi-terminal-0.6.2.3...
Building call-stack-0.1.0...
Installed call-stack-0.1.0
Configuring extensible-exceptions-0.1.1.4...
Building extensible-exceptions-0.1.1.4...
Installed extensible-exceptions-0.1.1.4
Configuring mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Installed ansi-terminal-0.6.2.3
Building mtl-2.2.1...
Building old-locale-1.0.0.7...
Configuring hostname-1.0...
Installed old-locale-1.0.0.7
Building hostname-1.0...
Configuring random-1.1...
Installed hostname-1.0
Building random-1.1...
Configuring text-1.2.2.1...
Installed mtl-2.2.1
Building text-1.2.2.1...
Configuring HUnit-1.5.0.0...
Installed random-1.1
Building HUnit-1.5.0.0...
Installed HUnit-1.5.0.0
Configuring ansi-wl-pprint-0.6.7.3...
Building ansi-wl-pprint-0.6.7.3...
Configuring regex-base-0.93.2...
Installed ansi-wl-pprint-0.6.7.3
Building regex-base-0.93.2...
Installed regex-base-0.93.2
Configuring regex-posix-0.95.2...
Building regex-posix-0.95.2...
Installed text-1.2.2.1
Configuring xml-1.3.14...
Installed regex-posix-0.95.2
Building xml-1.3.14...
Installed xml-1.3.14
Configuring test-framework-0.8.1.1...
Building test-framework-0.8.1.1...
Installed test-framework-0.8.1.1
Configuring test-framework-hunit-0.3.0.2...
Building test-framework-hunit-0.3.0.2...
Installed test-framework-hunit-0.3.0.2
Configuring tkhs-0.2.4...
Building tkhs-0.2.4...
Failed to install tkhs-0.2.4
Build log ( /home/builder/.cabal/logs/tkhs-0.2.4.log ):
cabal: Entering directory '/tmp/cabal-tmp-20421/tkhs-0.2.4'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-20421/tkhs-0.2.4/dist/setup/setup.hs, /tmp/cabal-tmp-20421/tkhs-0.2.4/dist/setup/Main.o )
Linking /tmp/cabal-tmp-20421/tkhs-0.2.4/dist/setup/setup ...
Configuring tkhs-0.2.4...
Building tkhs-0.2.4...
Preprocessing executable 'test' for tkhs-0.2.4...
[1 of 2] Compiling Vty              ( src/Vty.hs, dist/build/test/test-tmp/Vty.o )

src/Vty.hs:3:8: error:
    Failed to load interface for ‘Prelude’
    It is a member of the hidden package ‘base-4.9.0.0’.
    Perhaps you need to add ‘base’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.

src/Vty.hs:35:1: error:
    Failed to load interface for ‘Graphics.Vty’
    Use -v to see a list of the files searched for.

src/Vty.hs:36:1: error:
    Failed to load interface for ‘Control.Applicative’
    It is a member of the hidden package ‘base-4.9.0.0’.
    Perhaps you need to add ‘base’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.

src/Vty.hs:37:1: error:
    Failed to load interface for ‘Control.Monad.Reader’
    It is a member of the hidden package ‘mtl-2.2.1’.
    Perhaps you need to add ‘mtl’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.

src/Vty.hs:38:1: error:
    Failed to load interface for ‘Control.Monad.Writer’
    It is a member of the hidden package ‘mtl-2.2.1’.
    Perhaps you need to add ‘mtl’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.

src/Vty.hs:39:1: error:
    Failed to load interface for ‘Control.Exception’
    It is a member of the hidden package ‘base-4.9.0.0’.
    Perhaps you need to add ‘base’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.

src/Vty.hs:40:1: error:
    Failed to load interface for ‘Data.Word’
    It is a member of the hidden package ‘base-4.9.0.0’.
    Perhaps you need to add ‘base’ to the build-depends in your .cabal file.
    Use -v to see a list of the files searched for.
cabal: Leaving directory '/tmp/cabal-tmp-20421/tkhs-0.2.4'
cabal: Error: some packages failed to install:
tkhs-0.2.4 failed during the building phase. The exception was:
ExitFailure 1